﻿@{
    ViewBag.Title = "Home Page";
}
    <div class="jumbotron">
        @using (Html.BeginForm("SummaryTables", "Home", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()
            <div class="row">
                <div class="col-xs-offset-1 col-xs-10 col-md-offset-2 col-md-4">

                    @*Years list*@
                    <label for="years">Année :</label>
                    <select class="form-control" id="years" name="year" required>

                        @foreach (int year in ViewBag.Years)//year choice
                        {
                            if (year == ViewBag.Years[0])
                            {
                                if (year == 0)
                                {
                                    <option value="" selected disabled>Aucun élément</option>
                                }
                                else
                                {
                                    <option value="@year" selected>@year</option>
                                    //First years was selected
                                }
                            }
                            else
                            {
                                <option value="@year">@year</option>
                            }
                        }
                    </select>

                    @*Weeks list*@
                    <label for="weeks">Semaine :</label>
                    <select class="form-control" id="weeks" name="week" required>
                        <option value="" selected disabled>- - -</option>
                    </select>

                </div>
                <div class="col-xs-offset-1 col-xs-10 col-md-offset-1 col-md-4">

                    @*Submit form and message return upload*@

                    <button id="submit" class="import-submit" type="submit" value="OK"><span class="glyphicon glyphicon-search"></span></button>
                    <p class="import-msg">@ViewBag.Message</p>


                </div>

            </div>

        }
    </div>
@*function append the # with the weeks of the year selected*@
<script src="~/Scripts/weekOfYear.js"></script>
